<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet 
     version="1.0"
     xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     xmlns:esql="http://apache.org/cocoon/SQL/v2"
     xmlns:activites="http://bde.insa-rouen.fr:8080/cocoon/vente/logicsheets/activites"
     xmlns:xsp="http://apache.org/xsp">

<xsl:strip-space elements="*" />

 <xsl:template match="xsp:page">
  <xsp:page>
   <xsl:apply-templates select="@*" />
   
   <xsp:structure>
    <xsp:include>java.util.*</xsp:include> 
   </xsp:structure>
   
   <xsp:logic />
   <xsl:apply-templates />
  </xsp:page>
 </xsl:template>
  
 <xsl:template match="activites:activites">
  <xsl:call-template name="selection-activite"/>
 </xsl:template>

 <xsl:template name="selection-activite">
  <xsp:logic>Locale.setDefault(Locale.FRANCE);</xsp:logic>
 <esql:connection>
   <esql:pool>postgresql</esql:pool>
   <esql:execute-query>
   
    <esql:query> SELECT * FROM activitesORDER BY nom_objet</esql:query>
    <esql:results><esql:row-results><xsl:apply-templates/></esql:row-results></esql:results>
    <esql:no-results><p>Il n'y a pas d'activite correspondante.</p></esql:no-results>   
    <esql:error-results>Ca marche po !!!</esql:error-results>

   </esql:execute-query>
  </esql:connection>
 </xsl:template>

 <xsl:template match="activite">
   <s2><xsl:apply-templates/></s2>
 </xsl:template>

 <xsl:template match="activites:nom_objet">
   <esql:get-string column="nom_objet"/>
 </xsl:template>

 <xsl:template match="activites:prix_avec">
   <esql:get-string column="prix_avec"/>
 </xsl:template>

 <xsl:template match="activites:prix_sans">
   <esql:get-string column="prix_sans"/>
 </xsl:template>

 <xsl:template match="activites:id_destinataire">
   <esql:get-string column="id_destinataire"/>
 </xsl:template>

 <xsl:template match="activites:id_objet">
   <esql:get-string column="id_objet"/>
 </xsl:template>

 <xsl:template match="node()|@*">
  <xsl:copy>
  <xsl:apply-templates select="@*"/>
  <xsl:apply-templates/>
  </xsl:copy>
 </xsl:template>

</xsl:stylesheet>
