<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet 
     version="1.0"
     xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
     xmlns:esql="http://apache.org/cocoon/SQL/v2"
     xmlns:stock="http://bde.insa-rouen.fr:8080/cocoon/vente/logicsheets"
     xmlns:xsp="http://apache.org/xsp">

<xsl:strip-space elements="*" />

 <xsl:template match="xsp:page">
  <xsp:page>
   <xsl:apply-templates select="@*" />
   
   <xsp:structure>
    <xsp:include>java.util.*</xsp:include> 
   </xsp:structure>
   
   <xsp:logic />
   <xsl:apply-templates />
  </xsp:page>
 </xsl:template>
  
 <xsl:template match="stock:stocks">
  <xsl:call-template name="selection-stock"/>
 </xsl:template>

 <xsl:template name="selection-stock">
  <xsp:logic>Locale.setDefault(Locale.FRANCE);</xsp:logic>
 <esql:connection>
   <esql:pool>postgresql</esql:pool>
   <esql:execute-query>
   
    <esql:query>
     SELECT * FROM stock
    </esql:query>
   
   <esql:results>
	<esql:row-results>
	  <xsl:apply-templates/>
	</esql:row-results>
   </esql:results>
    
    <esql:no-results>
     <p>Il n'y a pas de stock correspondant</p>
    </esql:no-results>   

    <esql:error-results>
     Ca marche po !!!
    </esql:error-results>

   </esql:execute-query>
  </esql:connection>
 </xsl:template>

 <xsl:template match="stock:id">
   <esql:get-string column="id_stock"/>
 </xsl:template>

 <xsl:template match="stock:site">
   <esql:get-string column="site"/>
 </xsl:template>

 <xsl:template match="stock:alerte">
   <esql:get-string column="alerte"/>
 </xsl:template>

 <xsl:template match="stock:disponible">
   <esql:get-string column="disponible"/>
 </xsl:template>

 <xsl:template match="node()|@*">
  <xsl:copy>
  <xsl:apply-templates select="@*"/>
  <xsl:apply-templates/>
  </xsl:copy>
 </xsl:template>

</xsl:stylesheet>
